org.wildfly.swarm.config

## Class EE<T extends EE<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.EE<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map
  Direct Known Subclasses:
    EEFraction

      public class EE<T extends EE<T>>
      extends HashMap

  The configuration of the EE subsystem.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EE.EEResources` Child mutators for EE

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EE()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `annotationPropertyReplacement()` Flag indicating whether Java EE annotations will have property replacements applied
    `T` | `annotationPropertyReplacement(Boolean value)` Flag indicating whether Java EE annotations will have property replacements applied
    `T` | `contextService(ContextService value)` Add the ContextService object to the list of subresources
    `T` | `contextService(ContextServiceSupplier supplier)` Install a supplied ContextService object to the list of subresources
    `T` | `contextService(String childKey)` Create and configure a ContextService object to the list of subresources
    `T` | `contextService(String childKey, ContextServiceConsumer consumer)` Create and configure a ContextService object to the list of subresources
    `T` | `contextServices(List<ContextService> value)` Add all ContextService objects to this subresource
    `T` | `defaultBindingsService()` The JNDI names for the default EE bindings
    `T` | `defaultBindingsService(DefaultBindingsService value)` The JNDI names for the default EE bindings
    `T` | `defaultBindingsService(DefaultBindingsServiceConsumer consumer)` The JNDI names for the default EE bindings
    `T` | `defaultBindingsService(DefaultBindingsServiceSupplier supplier)` The JNDI names for the default EE bindings
    `Boolean` | `earSubdeploymentsIsolated()` Flag indicating whether each of the subdeployments within a .ear can access classes belonging to another subdeployment within the same .ear.
    `T` | `earSubdeploymentsIsolated(Boolean value)` Flag indicating whether each of the subdeployments within a .ear can access classes belonging to another subdeployment within the same .ear.
    `String` | `getKey()`
    `T` | `globalModule(Map value)` A list of modules that should be made available to all deployments.
    `List<Map>` | `globalModules()` A list of modules that should be made available to all deployments.
    `T` | `globalModules(List<Map> value)` A list of modules that should be made available to all deployments.
    `T` | `globalModules(Map... args)` A list of modules that should be made available to all deployments.
    `Boolean` | `jbossDescriptorPropertyReplacement()` Flag indicating whether JBoss specific deployment descriptors will have property replacements applied
    `T` | `jbossDescriptorPropertyReplacement(Boolean value)` Flag indicating whether JBoss specific deployment descriptors will have property replacements applied
    `T` | `managedExecutorService(ManagedExecutorService value)` Add the ManagedExecutorService object to the list of subresources
    `T` | `managedExecutorService(ManagedExecutorServiceSupplier supplier)` Install a supplied ManagedExecutorService object to the list of subresources
    `T` | `managedExecutorService(String childKey)` Create and configure a ManagedExecutorService object to the list of subresources
    `T` | `managedExecutorService(String childKey, ManagedExecutorServiceConsumer consumer)` Create and configure a ManagedExecutorService object to the list of subresources
    `T` | `managedExecutorServices(List<ManagedExecutorService> value)` Add all ManagedExecutorService objects to this subresource
    `T` | `managedScheduledExecutorService(ManagedScheduledExecutorService value)` Add the ManagedScheduledExecutorService object to the list of subresources
    `T` | `managedScheduledExecutorService(ManagedScheduledExecutorServiceSupplier supplier)` Install a supplied ManagedScheduledExecutorService object to the list of subresources
    `T` | `managedScheduledExecutorService(String childKey)` Create and configure a ManagedScheduledExecutorService object to the list of subresources
    `T` | `managedScheduledExecutorService(String childKey, ManagedScheduledExecutorServiceConsumer consumer)` Create and configure a ManagedScheduledExecutorService object to the list of subresources
    `T` | `managedScheduledExecutorServices(List<ManagedScheduledExecutorService> value)` Add all ManagedScheduledExecutorService objects to this subresource
    `T` | `managedThreadFactories(List<ManagedThreadFactory> value)` Add all ManagedThreadFactory objects to this subresource
    `T` | `managedThreadFactory(ManagedThreadFactory value)` Add the ManagedThreadFactory object to the list of subresources
    `T` | `managedThreadFactory(ManagedThreadFactorySupplier supplier)` Install a supplied ManagedThreadFactory object to the list of subresources
    `T` | `managedThreadFactory(String childKey)` Create and configure a ManagedThreadFactory object to the list of subresources
    `T` | `managedThreadFactory(String childKey, ManagedThreadFactoryConsumer consumer)` Create and configure a ManagedThreadFactory object to the list of subresources
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `specDescriptorPropertyReplacement()` Flag indicating whether descriptors defined by the Java EE specification will have property replacements applied
    `T` | `specDescriptorPropertyReplacement(Boolean value)` Flag indicating whether descriptors defined by the Java EE specification will have property replacements applied
    `EE.EEResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### EE

          public EE()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public EE.EEResources subresources()

    - #### managedThreadFactories

          public T managedThreadFactories(List<ManagedThreadFactory> value)

      Add all ManagedThreadFactory objects to this subresource
      Parameters:
        `value` - List of ManagedThreadFactory objects.
      Returns:
        this

    - #### managedThreadFactory

          public T managedThreadFactory(ManagedThreadFactory value)

      Add the ManagedThreadFactory object to the list of subresources
      Parameters:
        `value` - The ManagedThreadFactory to add
      Returns:
        this

    - #### managedThreadFactory

          public T managedThreadFactory(String childKey,
                                        ManagedThreadFactoryConsumer consumer)

      Create and configure a ManagedThreadFactory object to the list of subresources
      Parameters:
        `key` - The key for the ManagedThreadFactory resource
        `config` - The ManagedThreadFactoryConsumer to use
      Returns:
        this

    - #### managedThreadFactory

          public T managedThreadFactory(String childKey)

      Create and configure a ManagedThreadFactory object to the list of subresources
      Parameters:
        `key` - The key for the ManagedThreadFactory resource
      Returns:
        this

    - #### managedThreadFactory

          public T managedThreadFactory(ManagedThreadFactorySupplier supplier)

      Install a supplied ManagedThreadFactory object to the list of subresources

    - #### contextServices

          public T contextServices(List<ContextService> value)

      Add all ContextService objects to this subresource
      Parameters:
        `value` - List of ContextService objects.
      Returns:
        this

    - #### contextService

          public T contextService(ContextService value)

      Add the ContextService object to the list of subresources
      Parameters:
        `value` - The ContextService to add
      Returns:
        this

    - #### contextService

          public T contextService(String childKey,
                                  ContextServiceConsumer consumer)

      Create and configure a ContextService object to the list of subresources
      Parameters:
        `key` - The key for the ContextService resource
        `config` - The ContextServiceConsumer to use
      Returns:
        this

    - #### contextService

          public T contextService(String childKey)

      Create and configure a ContextService object to the list of subresources
      Parameters:
        `key` - The key for the ContextService resource
      Returns:
        this

    - #### contextService

          public T contextService(ContextServiceSupplier supplier)

      Install a supplied ContextService object to the list of subresources

    - #### managedExecutorServices

          public T managedExecutorServices(List<ManagedExecutorService> value)

      Add all ManagedExecutorService objects to this subresource
      Parameters:
        `value` - List of ManagedExecutorService objects.
      Returns:
        this

    - #### managedExecutorService

          public T managedExecutorService(ManagedExecutorService value)

      Add the ManagedExecutorService object to the list of subresources
      Parameters:
        `value` - The ManagedExecutorService to add
      Returns:
        this

    - #### managedExecutorService

          public T managedExecutorService(String childKey,
                                          ManagedExecutorServiceConsumer consumer)

      Create and configure a ManagedExecutorService object to the list of subresources
      Parameters:
        `key` - The key for the ManagedExecutorService resource
        `config` - The ManagedExecutorServiceConsumer to use
      Returns:
        this

    - #### managedExecutorService

          public T managedExecutorService(String childKey)

      Create and configure a ManagedExecutorService object to the list of subresources
      Parameters:
        `key` - The key for the ManagedExecutorService resource
      Returns:
        this

    - #### managedExecutorService

          public T managedExecutorService(ManagedExecutorServiceSupplier supplier)

      Install a supplied ManagedExecutorService object to the list of subresources

    - #### managedScheduledExecutorServices

          public T managedScheduledExecutorServices(List<ManagedScheduledExecutorService> value)

      Add all ManagedScheduledExecutorService objects to this subresource
      Parameters:
        `value` - List of ManagedScheduledExecutorService objects.
      Returns:
        this

    - #### managedScheduledExecutorService

          public T managedScheduledExecutorService(ManagedScheduledExecutorService value)

      Add the ManagedScheduledExecutorService object to the list of subresources
      Parameters:
        `value` - The ManagedScheduledExecutorService to add
      Returns:
        this

    - #### managedScheduledExecutorService

          public T managedScheduledExecutorService(String childKey,
                                                   ManagedScheduledExecutorServiceConsumer consumer)

      Create and configure a ManagedScheduledExecutorService object to the list of subresources
      Parameters:
        `key` - The key for the ManagedScheduledExecutorService resource
        `config` - The ManagedScheduledExecutorServiceConsumer to use
      Returns:
        this

    - #### managedScheduledExecutorService

          public T managedScheduledExecutorService(String childKey)

      Create and configure a ManagedScheduledExecutorService object to the list of subresources
      Parameters:
        `key` - The key for the ManagedScheduledExecutorService resource
      Returns:
        this

    - #### managedScheduledExecutorService

          public T managedScheduledExecutorService(ManagedScheduledExecutorServiceSupplier supplier)

      Install a supplied ManagedScheduledExecutorService object to the list of subresources

    - #### defaultBindingsService

          public T defaultBindingsService(DefaultBindingsService value)

      The JNDI names for the default EE bindings

    - #### defaultBindingsService

          public T defaultBindingsService(DefaultBindingsServiceConsumer consumer)

      The JNDI names for the default EE bindings

    - #### defaultBindingsService

          public T defaultBindingsService()

      The JNDI names for the default EE bindings

    - #### defaultBindingsService

          public T defaultBindingsService(DefaultBindingsServiceSupplier supplier)

      The JNDI names for the default EE bindings

    - #### annotationPropertyReplacement

          public Boolean annotationPropertyReplacement()

      Flag indicating whether Java EE annotations will have property replacements applied

    - #### annotationPropertyReplacement

          public T annotationPropertyReplacement(Boolean value)

      Flag indicating whether Java EE annotations will have property replacements applied

    - #### earSubdeploymentsIsolated

          public Boolean earSubdeploymentsIsolated()

      Flag indicating whether each of the subdeployments within a .ear can access classes belonging to another subdeployment within the same .ear. A value of false means the subdeployments can see classes belonging to other subdeployments within the .ear.

    - #### earSubdeploymentsIsolated

          public T earSubdeploymentsIsolated(Boolean value)

      Flag indicating whether each of the subdeployments within a .ear can access classes belonging to another subdeployment within the same .ear. A value of false means the subdeployments can see classes belonging to other subdeployments within the .ear.

    - #### globalModules

          public List<Map> globalModules()

      A list of modules that should be made available to all deployments.

    - #### globalModules

          public T globalModules(List<Map> value)

      A list of modules that should be made available to all deployments.

    - #### globalModule

          public T globalModule(Map value)

      A list of modules that should be made available to all deployments.

    - #### globalModules

          public T globalModules(Map... args)

      A list of modules that should be made available to all deployments.

    - #### jbossDescriptorPropertyReplacement

          public Boolean jbossDescriptorPropertyReplacement()

      Flag indicating whether JBoss specific deployment descriptors will have property replacements applied

    - #### jbossDescriptorPropertyReplacement

          public T jbossDescriptorPropertyReplacement(Boolean value)

      Flag indicating whether JBoss specific deployment descriptors will have property replacements applied

    - #### specDescriptorPropertyReplacement

          public Boolean specDescriptorPropertyReplacement()

      Flag indicating whether descriptors defined by the Java EE specification will have property replacements applied

    - #### specDescriptorPropertyReplacement

          public T specDescriptorPropertyReplacement(Boolean value)

      Flag indicating whether descriptors defined by the Java EE specification will have property replacements applied

Copyright © 2018 JBoss by Red Hat. All rights reserved.